<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
get_header(); ?>
<section class="pagecontent">
	<div class="ranking_page_banner">
	  	<div class="container">
	   <header class="page-header text-white">
		  <?php
		  the_archive_title( '<h1 class="page-title">', '</h1>' );
		  the_archive_description( '<div class="archive-description">', '</div>' );
		  ?>
	  </header>
	  <div class="doemaster-breadcrum">
	       <?php  if (function_exists('codemaster_breadcrumbs'))  codemaster_breadcrumbs();  ?>
	   </div>
	  </div>
	</div>
</section>
<section class="singlepage pb-5 pt-5">
  <div class="container">
  <div class="row">
    <div class="col-md-9">
  <div class="archive-site-content">
    <?php
    if ( have_posts() ) :
      while ( have_posts() ) :
        the_post();
        ?>
        <article <?php post_class(); ?>>
		  <div class="border rounded post-thumbnail-responsive">
				<?php if(has_post_thumbnail()){ the_post_thumbnail( 'codemaster-custom-image-size' ); } else {
                    echo '<img alt="Image not found" src="' . get_stylesheet_directory_uri(). '/assets/images/not-found.png" />';
                    }  ?>
			</div>
          <header class="entry-header">
			<?php sanitize_title(the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '">', '</a></h2>' )); ?>
          </header><!-- entry-header -->
          <div class="entry-content">
            <?php wp_strip_all_tags(the_content( esc_html__( 'Continue reading &rarr;', 'codemaster' ) )); ?>
          </div><!-- entry-content -->
        </article><!-- #post-## -->
        <?php
        // If comments are open or we have at least one comment, load up the comment template.
        if ( comments_open() || get_comments_number() ) :
          comments_template();
        endif;
      endwhile;
	  the_posts_navigation();
    else :
      get_template_part( 'content-none' );
    endif;
	?>
	</div><!-- site-content -->
 </div>
    <div class="col-md-3">
    <?php get_sidebar(); ?>
    </div>
  </div>
  </div>
</section>
<?php get_footer(); ?>