<?php if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
get_header();
?>
<div class="ranking_page_banner">
	 <div class="container">
	   <h1 class="text-white display-3"><?php sanitize_title(the_title()) ?></h1>
	   <div class="doemaster-breadcrum">
	       <?php  if (function_exists('codemaster_breadcrumbs'))  codemaster_breadcrumbs();  ?>
	   </div>
	 </div>
</div>
<section class="blogpage site-content">
<div class="container">
<div class="row row-cols-1 row-cols-lg-3 row-cols-lg-4 g-3 g-lg-4">
  <!-- Start the Loop. -->
 <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
 <div class="post col-md-4 col-lg-4 image-block full-width">
    <div class="rank-post-content card h-100">
		<div class="<?php post_class(); ?> ">
 	<!-- Display the Title as a link to the Post's permalink. -->
 	<div class="image-block-inner">
     <?php if ( has_post_thumbnail() ) {
        the_post_thumbnail( 'codemaster-post-image-size' );
        }
        else {
            echo '<img alt="Image not found" src="' . get_stylesheet_directory_uri(). '/assets/images/not-found.png" />';
        }
    ?>
    </div>
    <div class="card-body">
 	<h2 class="rk-post-heading h3 mt-1"  id="post-<?php the_ID(); ?>">
 	    <a href="<?php the_permalink(); ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title( sprintf(
			__( 'Continue reading %s', 'codemaster' ),
			the_title( '<span class="screen-reader-text">', '</span>', false )
		) ); ?>
		</a>
	</h2>
 	<!-- Display the date (November 16th, 2022 format) and a link to other posts by this posts author. -->
 	<div class="post-info-text">
     	<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-calendar-check" viewBox="0 0 16 16">
					<path d="M10.854 7.146a.5.5 0 0 1 0 .708l-3 3a.5.5 0 0 1-.708 0l-1.5-1.5a.5.5 0 1 1 .708-.708L7.5 9.793l2.646-2.647a.5.5 0 0 1 .708 0z"/>
					<path d="M3.5 0a.5.5 0 0 1 .5.5V1h8V.5a.5.5 0 0 1 1 0V1h1a2 2 0 0 1 2 2v11a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V3a2 2 0 0 1 2-2h1V.5a.5.5 0 0 1 .5-.5zM1 4v10a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V4H1z"/> <small> <?php the_time('F jS, Y'); ?> <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-person-check" viewBox="0 0 16 16">
					<path d="M6 8a3 3 0 1 0 0-6 3 3 0 0 0 0 6zm2-3a2 2 0 1 1-4 0 2 2 0 0 1 4 0zm4 8c0 1-1 1-1 1H1s-1 0-1-1 1-4 6-4 6 3 6 4zm-1-.004c-.001-.246-.154-.986-.832-1.664C9.516 10.68 8.289 10 6 10c-2.29 0-3.516.68-4.168 1.332-.678.678-.83 1.418-.832 1.664h10z"/>
					<path fill-rule="evenodd" d="M15.854 5.146a.5.5 0 0 1 0 .708l-3 3a.5.5 0 0 1-.708 0l-1.5-1.5a.5.5 0 0 1 .708-.708L12.5 7.793l2.646-2.647a.5.5 0 0 1 .708 0z"/>
		</svg> by <?php the_author_posts_link(); ?></small>
	    </div>
     	<div class="entry mt-1">
     		<?php echo wp_trim_words( get_the_content(), 20, '...' ); // the_content(); ?>
     	</div>
     	<!-- Display a comma separated list of the Post's Categories. -->
     	<p class="postmetadata"><?php esc_html_e( 'Posted in', 'codemaster' ); ?> <?php the_category( ', ' ); ?></p>
     	</div>
 	</div>
  </div>
</div>
 <!-- Stop The Loop (but note the "else:" - see next line). -->
 <?php endwhile;  ?>
</div>
<div class="text-center pt-4 pb-2 ranking-pg">
    <div class="pagination">
	<?php
	 the_posts_pagination( array(
	    'prev_text' => __( 'Prev', 'codemaster' ),
	    'next_text' => __( 'Next', 'codemaster' ),
	) ); ?>
  </div>
</div>
<!--  <div class="nav-previous alignleft"><?php // previous_posts_link( 'Older posts' ); ?></div>
<div class="nav-next alignright"><?php // next_posts_link( 'Newer posts' ); ?></div> -->
<?php else : ?>
 	<!-- The very first "if" tested to see if there were any Posts to -->
 	<!-- display.  This "else" part tells what do if there weren't any. -->
 	<p><?php esc_html_e( 'Sorry, no posts matched your criteria.', 'codemaster' ); ?></p>
 	<!-- REALLY stop The Loop. -->
 <?php endif; ?>
</div>
</section>
<?php get_footer(); ?>