<?php 
/**
 * The template for displaying the post.
 *
 * @package codemaster
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}
?>
<?php get_header(); ?>
<section class="singlepage site-content">
	<div class="container">
	<div class="row content-row gx-5">
		<div class="content-area content-has-sidebar float-left col-xl-8 col-lg-8 col-md-12 col-sm-12 mb-4">
		   <div class="doemaster-breadcrum">
	       <?php  if (function_exists('codemaster_breadcrumbs'))  codemaster_breadcrumbs();  ?>
	        </div>
			<main class="site-main">
				<?php
				//$format = get_post_format() ? : 'standard';
				if ( have_posts() && is_singular()) :
					while ( have_posts() ) :
						the_post();
						?>
						<article <?php post_class(); ?>>
						    <div class="border rounded post-thumbnail-responsive">
						    <?php if(has_post_thumbnail()){ the_post_thumbnail( 'codemaster-custom-image-size' ); } else {
                                echo '<img alt="Image not found" src="' . get_stylesheet_directory_uri(). '/assets/images/not-found.png" />';
                            }  ?>
						    </div>
						<div class="themework-post-info p-2">
						<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-calendar-check" viewBox="0 0 16 16">
						  <path d="M10.854 7.146a.5.5 0 0 1 0 .708l-3 3a.5.5 0 0 1-.708 0l-1.5-1.5a.5.5 0 1 1 .708-.708L7.5 9.793l2.646-2.647a.5.5 0 0 1 .708 0z"/>
						  <path d="M3.5 0a.5.5 0 0 1 .5.5V1h8V.5a.5.5 0 0 1 1 0V1h1a2 2 0 0 1 2 2v11a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V3a2 2 0 0 1 2-2h1V.5a.5.5 0 0 1 .5-.5zM1 4v10a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V4H1z"/>
						</svg> <time datetime="<?php echo esc_attr(get_the_date('c')); ?>" itemprop="datePublished"><?php echo get_the_date(); ?></time>
						<?php $categories = get_the_category();
						$separator = ' ';
						$output = '';
						if ( ! empty( $categories ) ) {
						    foreach( $categories as $category ) {
						        $output .= '<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-bookmarks" viewBox="0 0 16 16">
				  <path d="M2 4a2 2 0 0 1 2-2h6a2 2 0 0 1 2 2v11.5a.5.5 0 0 1-.777.416L7 13.101l-4.223 2.815A.5.5 0 0 1 2 15.5V4zm2-1a1 1 0 0 0-1 1v10.566l3.723-2.482a.5.5 0 0 1 .554 0L11 14.566V4a1 1 0 0 0-1-1H4z"/>
				  <path d="M4.268 1H12a1 1 0 0 1 1 1v11.768l.223.148A.5.5 0 0 0 14 13.5V2a2 2 0 0 0-2-2H6a2 2 0 0 0-1.732 1z"/>
				</svg> <a href="' . esc_url( get_category_link( $category->term_id ) ) . '" title="' . esc_attr( sprintf( __( 'View all posts in %s', 'codemaster' ), $category->name ) ) . '">' . esc_html( $category->name ) . '</a>' . $separator;
						    }
						    echo trim( $output, $separator );
						} ?>
						<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-person-check" viewBox="0 0 16 16">
						  <path d="M6 8a3 3 0 1 0 0-6 3 3 0 0 0 0 6zm2-3a2 2 0 1 1-4 0 2 2 0 0 1 4 0zm4 8c0 1-1 1-1 1H1s-1 0-1-1 1-4 6-4 6 3 6 4zm-1-.004c-.001-.246-.154-.986-.832-1.664C9.516 10.68 8.289 10 6 10c-2.29 0-3.516.68-4.168 1.332-.678.678-.83 1.418-.832 1.664h10z"/>
						  <path fill-rule="evenodd" d="M15.854 5.146a.5.5 0 0 1 0 .708l-3 3a.5.5 0 0 1-.708 0l-1.5-1.5a.5.5 0 0 1 .708-.708L12.5 7.793l2.646-2.647a.5.5 0 0 1 .708 0z"/>
						</svg> 
					<?php  
				    //	or get_the_author_link();
					$post_id = get_the_ID(); 
					$author_id = get_post_field( 'post_author', $post_id );
					?>
                    <?php 
                        echo '<a href="' . esc_url( get_author_posts_url( $post->post_author ) ) . '" title="' . esc_attr( sprintf( __( 'View all posts in %s author', 'codemaster' ), get_the_author_meta( 'display_name', $author_id ) ) ) . '">' . esc_html( get_the_author_meta( 'display_name', $author_id ) ) . '</a>';
					?>
					</div>
							<header class="entry-header">
								<?php sanitize_title(the_title( '<h1 class="entry-title display-7 text-capitalize">', '</h1>' )); ?>
							</header>

							<div class="entry-content">
								<?php wp_strip_all_tags(the_content( esc_html__( 'Continue reading &rarr;', 'codemaster' ) )); ?>
							</div>
						 <?php

							wp_link_pages(
								array(
									'before' => '<div class="page-links">' . __( 'Pages:', 'codemaster' ),
									'after'  => '</div>',
								)
							);
						?>
						</article>
						<div class="pagination">
						<?php the_post_navigation(
							array(
								'prev_text' => '<span class="nav-subtitle">' . esc_html__( 'Previous:', 'codemaster' ) . '</span> <span class="nav-title">%title</span>',
								'next_text' => '<span class="nav-subtitle">' . esc_html__( 'Next:', 'codemaster' ) . '</span> <span class="nav-title">%title</span>',
							)
						); ?>
						</div>
						<?php
					endwhile;
				else :
					?>
					<article class="no-results">
						<header class="entry-header">
							<h1 class="page-title"><?php esc_html_e( 'Nothing Found', 'codemaster' ); ?></h1>
						</header>
						<div class="entry-content">
							<p><?php esc_html_e( 'It looks like nothing was found at this location.', 'codemaster' ); ?></p>
						</div>
					</article>
				<?php
				endif;
				?>
				<div class="wp-cus-tag mb-3 mt-3">
				    <?php the_tags(); ?>
				</div>
				<hr />
				<div class="codetheme-social-share">
                    Share this article:
                    <ul>
                    <li><a target="_blank" title="Facebook" href="https://www.facebook.com/sharer/sharer.php?u=<?php echo get_permalink(); ?>"><i class="icofont-facebook"></i></a></li>
                    <li><a target="_blank" title="Twitter" href="https://twitter.com/intent/tweet?text=<?php sanitize_title(the_title()); ?>&amp;url=<?php echo get_permalink(); ?>" <i class="icofont-twitter"></i></a></li>
                    <li><a target="_blank" title="Linkedin" href="https://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo get_permalink(); ?>&amp;summary=<?php sanitize_title(the_title()); ?>" <i class="icofont-linkedin"></i></a></li>
                    </ul>
                </div>
                <hr />
                <?php if(comments_open()){ ?>
				<div id="comments" class="comment-forms mb-4 mt-4 ranking-c-f comments-area">
				   <h2 class="code-comments-title mb-3 display-8">Join the conversation.</h2>
				 <div class="comment-respond">
				 <?php comment_form(); ?>
				 </div>
				</div>
				<div class="comment-forms-all mb-6 comment-list-wrap">
				<?php // If comments are open or we have at least one comment, load up the comment template.
						if ( comments_open() || get_comments_number() ) :
						//	comments_template();
						endif; ?>
					<?php comments_template(); ?>
				</div>
				<?php } ?>
			</main>
	    </div>
		<aside id="secondary" role="complementary" class="widget-area widget-has-sidebar sidebar-codemaster col-xl-4 col-lg-4 col-md-12 col-sm-12 mb-4">
		    <div class="sidebar-fixed-inner sticky-top">
		    <?php get_sidebar(); ?>
	     	</div>
		</aside>
	</div>
	</div>
</section>
<?php get_footer(); ?>